Package icyllis.arc3d.opengl

# Class GLBackendRenderTarget

java.lang.Object
icyllis.arc3d.engine.BackendRenderTarget
icyllis.arc3d.opengl.GLBackendRenderTarget

public final class GLBackendRenderTarget extends BackendRenderTarget

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GLBackendRenderTarget(int width, int height, int sampleCount, int depthBits, int stencilBits, GLFramebufferInfo info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBackend()`
  `GLBackendFormat`
  `getBackendFormat()`
  Get the BackendFormat for this texture.
  `int`
  `getDepthBits()`
  `boolean`
  `getGLFramebufferInfo(GLFramebufferInfo info)`
  If the backend API is OpenGL, copies a snapshot of the GLFramebufferInfo struct into the passed in pointer and returns true.
  `int`
  `getSampleCount()`
  `int`
  `getStencilBits()`
  `boolean`
  `isProtected()`
  Returns true if we are working with protected content.

  ### Methods inherited from class icyllis.arc3d.engine.BackendRenderTarget

  `getHeight, getVkImageInfo, getWidth, setVkImageLayout, setVkQueueFamilyIndex`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GLBackendRenderTarget

    public GLBackendRenderTarget(int width, int height, int sampleCount, int depthBits, int stencilBits, GLFramebufferInfo info)

- ## Method Details

  - ### getBackend

    public int getBackend()
    Specified by:
      `getBackend` in class `BackendRenderTarget`
    Returns:
      see Types

  - ### getSampleCount

    public int getSampleCount()
    Specified by:
      `getSampleCount` in class `BackendRenderTarget`

  - ### getDepthBits

    public int getDepthBits()
    Specified by:
      `getDepthBits` in class `BackendRenderTarget`

  - ### getStencilBits

    public int getStencilBits()
    Specified by:
      `getStencilBits` in class `BackendRenderTarget`

  - ### getGLFramebufferInfo

    public boolean getGLFramebufferInfo(GLFramebufferInfo info)
    Description copied from class: `BackendRenderTarget`
    If the backend API is OpenGL, copies a snapshot of the GLFramebufferInfo struct into the passed in pointer and returns true. Otherwise, returns false if the backend API is not OpenGL.
    Overrides:
      `getGLFramebufferInfo` in class `BackendRenderTarget`

  - ### getBackendFormat

    @Nonnull public GLBackendFormat getBackendFormat()
    Description copied from class: `BackendRenderTarget`
    Get the BackendFormat for this texture.
    Specified by:
      `getBackendFormat` in class `BackendRenderTarget`

  - ### isProtected

    public boolean isProtected()
    Description copied from class: `BackendRenderTarget`
    Returns true if we are working with protected content.
    Specified by:
      `isProtected` in class `BackendRenderTarget`